import request from '@/utils/request'

// 分页查询全国城市列表
export function pageListArea(query) {
  return request({
    url: '/system/area/pageList',
    method: 'get',
    params: query
  })
}

// 查询全国城市列表
export function listArea(query) {
  return request({
    url: '/system/area/list',
    method: 'get',
    params: query
  })
}

// 查询全国城市详细
export function getArea(areaId) {
  return request({
    url: '/system/area/' + areaId,
    method: 'get'
  })
}

// 新增全国城市
export function addArea(data) {
  return request({
    url: '/system/area',
    method: 'post',
    data: data
  })
}

// 修改全国城市
export function updateArea(data) {
  return request({
    url: '/system/area',
    method: 'put',
    data: data
  })
}

// 删除全国城市
export function delArea(areaId) {
  return request({
    url: '/system/area/' + areaId,
    method: 'delete'
  })
}

// 导出全国城市
export function exportArea(query) {
  return request({
    url: '/system/area/' + 'export',
    method: 'post',
    params: query
  })
}
